Fedora Packages

compat-libpthread-nonshared Subpackage of glibc

Compatibility support for linking against libpthread_nonshared.a.

This package provides compatibility support for applications that expect libpthread_nonshared.a to exist. The support provided is in the form of an empty libpthread_nonshared.a that allows dynamic links to succeed. Such applications should be adjusted to avoid linking against libpthread_nonshared.a which is no longer used. The static library libpthread_nonshared.a is an internal implementation detail of the C runtime and should not be expected to exist.

Releases Overview

Release Stable Testing
Fedora Rawhide 2.39.9000-4.fc41 -
Fedora 40 2.39-2.fc40 -
Fedora 39 2.38-16.fc39 -
Fedora 38 2.37-18.fc38 -
File a new bug report »
Package Info
  • Upstream: http://www.gnu.org/software/glibc/
  • License(s): LGPL-2.1-or-later AND SunPro AND LGPL-2.1-or-later WITH GCC-exception-2.0 AND BSD-3-Clause AND GPL-2.0-or-later AND LGPL-2.1-or-later WITH GNU-compiler-exception AND GPL-2.0-only AND ISC AND LicenseRef-Fedora-Public-Domain AND HPND AND CMU-Mach AND LGPL-2.1-only AND LGPL-2.0-or-later AND Unicode-DFS-2015 AND GFDL-1.1-or-later AND GPL-1.0-or-later AND FSFUL AND MIT AND Inner-Net-2.0 AND X11 AND GPL-2.0-or-later WITH GCC-exception-2.0 AND GFDL-1.3-only AND GFDL-1.1-only
  • Maintainers: codonell, djdelorie, mfabian, submachine, fberat, josmyers, mcermak, fweimer, pfrankli, siddhesh

Related Packages

You can contact the maintainers of this package via email at glibc dash maintainers at fedoraproject dot org.



Sources on Pagure